# $Revision: 1.12 $, $Date: 2011/08/31 18:33:32 $
Summary:	A nice animation wich appears when you mistype the ls command
Summary(pl.UTF-8):	Fajna animacja, która się pojawia przy błędnym wpisaniu ls
Name:		sl
Version:	3.03
Release:	3
License:	GPL
Group:		Applications/Text
Source0:	http://www.tkl.iis.u-tokyo.ac.jp/~toyoda/%{name}/%{name}.tar
# Source0-md5:	cc06b159f78f86bfd2d4e0e16330fbae
Source1:	%{name}-debian.tar.gz
# Source1-md5:	a13934db014b77267f1a7109588d4255
Patch0:		%{name}-am.patch
Patch1:		%{name}-code.patch
URL:		http://www.tkl.iis.u-tokyo.ac.jp/~toyoda/
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
When you type sl instead of ls, you will be greeted with a nice and
relaxing animation of a train going by...

%description -l pl.UTF-8
Jeżeli wpiszesz sl, zamiast ls, zostaniesz powitany fajną
i relaksującą animacja przejeżdżającego pociągu...

%prep
%setup -q -n %{name} -a1
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/{ja/,}man6}

install sl $RPM_BUILD_ROOT%{_bindir}
install sl-debian/sl.6 $RPM_BUILD_ROOT%{_mandir}/man6
install sl-debian/sl.6j $RPM_BUILD_ROOT%{_mandir}/ja/man6/sl.6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc sl-debian/README
%lang(ja) %doc sl-debian/README.jp
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*
%lang(ja) %{_mandir}/ja/man6/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sl.spec,v $
Revision 1.12  2011/08/31 18:33:32  arekm
- release 3

Revision 1.11  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.9  2004/11/07 11:35:56  adamg
- pass CC and CFLAGS

Revision 1.8  2004/10/29 10:29:14  paladine
- spelling fixes

Revision 1.7  2003/08/31 11:26:52  ankry
- %%lang fixes

Revision 1.6  2003/08/27 15:32:39  undefine
- original source from jp

Revision 1.5  2003/05/28 13:01:53  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:26:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/10/02 12:14:43  qboosh
- fixed Group, typo, cosmetics

Revision 1.2  2002/09/29 21:01:28  wolf
- rel 2
- cleanups
- adapterized
- doc from debian
